
import 'dart:async';

import 'package:flutter/services.dart';

class Rzpayment {
  static const MethodChannel _channel =
      const MethodChannel('rzpayment');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static void load() async {
    await _channel.invokeMethod('load');
  }

  static void init(Map<dynamic,dynamic> options,Function f) async {
    await _channel.invokeMethod('init', {
      "options": options,
    });
  }

  static void open() async {
    await _channel.invokeMethod('open');
  }

}
